# $Revision: 1.41 $, $Date: 2012/02/07 21:59:05 $
#
# Conditional build:
%bcond_with	sse	# use SSE extension
%bcond_with	sse2	# use SSE2 extension
%bcond_with	sse3	# use SSE3 extension
#
%ifarch pentium3 pentium4 %{x8664}
%define	with_sse	1
%endif
%ifarch pentium4 %{x8664}
%define	with_sse2	1
%endif
%define		manual_version	1.5.5
Summary:	Full featured image library
Summary(pl.UTF-8):	Biblioteka obsługi obrazów z mnóstwem funkcji
Name:		DevIL
Version:	1.7.8
Release:	7
License:	LGPL v2.1
Group:		Libraries
Source0:	http://downloads.sourceforge.net/openil/%{name}-%{version}.tar.gz
# Source0-md5:	7918f215524589435e5ec2e8736d5e1d
Source1:	http://downloads.sourceforge.net/openil/%{name}-Manual-%{manual_version}.zip
# Source1-md5:	6bb2ddfcbe09930c48ef84b8f99479fe
Source2:	http://downloads.sourceforge.net/openil/%{name}-docs.tar.gz
# Source2-md5:	eec6ae7a028a3f058bab1a6918428ed5
Patch0:		libpng14.patch
Patch1:		%{name}-squish.patch
Patch2:		%{name}-as-needed.patch
URL:		http://openil.sourceforge.net/
BuildRequires:	OpenEXR-devel
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	SDL-devel >= 1.2.5
BuildRequires:	allegro-devel >= 4.1.16
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	jasper-devel
BuildRequires:	lcms-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libmng-devel
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.533
BuildRequires:	squish-devel
BuildRequires:	sed >= 4.0
BuildRequires:	unzip
BuildRequires:	xorg-lib-libXext-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	libGL.so.1 libGLU.so.1

%description
Developer's Image Library (DevIL) is a programmer's library to develop
applications with very powerful image loading capabilities, yet is
easy for a developer to learn and use. Ultimate control of images is
left to the developer, so unnecessary conversions, etc. are not
performed. DevIL utilizes a simple, yet powerful, syntax. DevIL can
load, save, convert, manipulate, filter and display a wide variety of
image formats.

Currently, DevIL can load .bmp, .cut, .dds, .doom, .gif, .ico, .icns,
.jp2, .jpg, .lbm, .mdl, .mng, .pal, .pbm, .pcd, .pcx, .pgm, .pic,
.png, .ppm, .psd, .psp, .raw, .sgi, .tga and .tif files.

Formats supported for saving include .bmp, .dds, .h, .jpg, .pal, .pbm,
.pcx, .pgm, .png, .ppm, .raw, .sgi, .tga and .tif.

%description -l pl.UTF-8
Developer's Image Library (DevIL) jest biblioteką programisty
pozwalającą tworzyć aplikacje z potężnymi możliwościami ładowania
obrazów. Pozostaje przy tym łatwa w użyciu i prosta do nauczenia się.
Ostateczna kontrola nad obrazami jest zostawiona programiście, nie
wprowadza się niepotrzebnych konwersji, itp. DevIL używa prostej, lecz
potężnej składni poleceń, wzorowanej na OpenGL-u. DevIL potrafi
ładować, zapisywać, konwertować, manipulować, filtrować szeroki
wachlarz formatów plików graficznych.

W chwili obecnej DevIL odczytuje pliki z rozszerzeniami bmp, cut, dds,
doom, gif, icns, ico, jp2, jpg, lbm, mdl, mng, pal, pbm, pcd, pcx,
pgm, pic, png, ppm, psd, psp, raw, sgi, tga i tif.

Obsługiwane jest zapisywanie do plików bmp, dds, h, jpg, pal, pbm,
pcx, pgm, png, ppm, raw, sgi, tga i tif.

%package devel
Summary:	DevIL development files
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek DevIL
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	OpenEXR-devel
Requires:	jasper-devel
Requires:	lcms-devel
Requires:	libjpeg-devel
Requires:	libmng-devel
Requires:	libpng-devel
Requires:	libtiff-devel
Requires:	squish-devel

%description devel
DevIL development files (for IL and ILU libraries).

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek DevIL (IL i ILU).

%package static
Summary:	Static DevIL libraries
Summary(pl.UTF-8):	Statyczne biblioteki DevIL
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static DevIL libraries (IL and ILU).

%description static -l pl.UTF-8
Statyczne biblioteki DevIL (IL i ILU).

%package ILUT
Summary:	DevIL ILUT library
Summary(pl.UTF-8):	Biblioteka DevIL ILUT
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	SDL >= 1.2.5
Requires:	allegro >= 4.1.16

%description ILUT
DevIL ILUT library - connection to higher level libraries.

%description ILUT -l pl.UTF-8
Biblioteka DevIL ILUT - łącznik z bibliotekami wyższego poziomu.

%package ILUT-devel
Summary:	Development files for DevIL ILUT library
Summary(pl.UTF-8):	Pliki programistyczne biblioteki DevIL ILUT
Group:		Development/Libraries
Requires:	%{name}-ILUT = %{version}-%{release}
Requires:	%{name}-devel = %{version}-%{release}
Requires:	OpenGL-GLU-devel
Requires:	SDL-devel >= 1.2.5
Requires:	allegro-devel >= 4.1.16
Requires:	xorg-lib-libXext-devel

%description ILUT-devel
Development files for DevIL ILUT library.

%description ILUT-devel -l pl.UTF-8
Pliki programistyczne biblioteki DevIL ILUT.

%package ILUT-static
Summary:	Static DevIL ILUT library
Summary(pl.UTF-8):	Statyczna biblioteka DevIL ILUT
Group:		Development/Libraries
Requires:	%{name}-ILUT-devel = %{version}-%{release}

%description ILUT-static
Static DevIL ILUT library.

%description ILUT-static -l pl.UTF-8
Statyczna biblioteka DevIL ILUT.

%package doc
Summary:	DevIL documentation
Summary(pl.UTF-8):	Dokumentacja DevIL
Group:		Documentation

%description doc
DevIL documentation.

%description doc -l pl.UTF-8
Dokumentacja DevIL.

%prep
%setup -q -c -a1 -a2
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
cd devil-%{version}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-ILU \
	--enable-ILUT \
	%{?debug:--disable-release} \
	%{!?with_sse:--disable-sse} \
	%{!?with_sse2:--disable-sse2} \
	%{!?with_sse3:--disable-sse3}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C devil-%{version} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc devil-%{version}/{AUTHORS,CREDITS,ChangeLog,README.unix}
%attr(755,root,root) %{_bindir}/ilur
%attr(755,root,root) %{_libdir}/libIL.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libIL.so.1
%attr(755,root,root) %{_libdir}/libILU.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libILU.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libIL.so
%attr(755,root,root) %{_libdir}/libILU.so
%{_libdir}/libIL.la
%{_libdir}/libILU.la
%dir %{_includedir}/IL
%{_includedir}/IL/il.h
%{_includedir}/IL/ilu.h
%{_includedir}/IL/ilu_region.h
%{_pkgconfigdir}/IL.pc
%{_pkgconfigdir}/ILU.pc
%{_infodir}/DevIL_manual.info*

%files static
%defattr(644,root,root,755)
%{_libdir}/libIL.a
%{_libdir}/libILU.a

%files ILUT
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libILUT.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libILUT.so.1

%files ILUT-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libILUT.so
%{_includedir}/IL/devil_cpp_wrapper.hpp
%{_includedir}/IL/ilut.h
%{_libdir}/libILUT.la
%{_pkgconfigdir}/ILUT.pc

%files ILUT-static
%defattr(644,root,root,755)
%{_libdir}/libILUT.a

%files doc
%defattr(644,root,root,755)
%doc DevIL*.pdf

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: DevIL.spec,v $
Revision 1.41  2012/02/07 21:59:05  arekm
- release 7

Revision 1.40  2012/01/13 14:48:08  arekm
- release 6

Revision 1.39  2011/12/20 19:41:58  arekm
- release 5

Revision 1.38  2011/02/05 00:38:04  sparky
- added missing language tag in %description

Revision 1.37  2010/12/08 15:49:48  lisu
- rel 4

Revision 1.36  2010/12/08 15:02:13  lisu
- rel 3

Revision 1.35  2010/12/08 14:46:27  lisu
- rel 2

Revision 1.34  2010/10/16 11:08:57  qboosh
- added squish patch, build with libsquish support
- added as-needed patch (add libs to _LIBADD, not _LDFLAGS)
- don't use -msse -msse2 -msse3 for CPUs which don't support these extensions

Revision 1.33  2010/10/15 07:56:41  qboosh
- package static and .pc files
- separated ILUT because of extra dependencies (SDL, allegro, X11)
- removed obsolete gnu-inline patch
- libpng-related sed call moved to libpng14 patch
- build with OpenEXR support

Revision 1.32  2010/05/16 11:15:52  sparky
- BR: pkgconfig
- dropped no longer used BR: which

Revision 1.31  2010/04/21 13:44:37  lisu
- TODO

Revision 1.30  2010/04/21 13:43:25  lisu
- -gnu-inline.patch updated
- rel 1

Revision 1.29  2010/04/21 13:38:00  lisu
- -link.patch obsoleted
- fix apply libpng14.patch

Revision 1.28  2010/04/21 13:35:33  lisu
- -c++.patch is now obsolete
- clean up

Revision 1.27  2010/04/21 13:32:41  lisu
- start update to 1.7.8
- link with -lpng instead of -lpng12
- force build ILU and ILUT
- nfy (see TODO)

Revision 1.26  2010/03/17 08:27:33  lisu
- rel 5

Revision 1.25  2010/02/09 23:27:57  sls
- added libpng14.patch (and undos related sources)
- rel. 4

Revision 1.24  2010/01/28 13:09:24  amateja
- release 3

Revision 1.23  2009/11/27 02:01:20  sparky
- BR: which (won't find libpng without it)

Revision 1.22  2009/07/12 13:14:55  arekm
- release 2

Revision 1.21  2008/10/22 21:53:12  qboosh
- added gnu-inline patch (fixes build with gcc < 4.3)

Revision 1.20  2008/10/22 17:01:22  qboosh
- updated to 1.7.2
- updated c++ patch, removed obsolete typo patch, added link patch

Revision 1.19  2007/05/27 20:24:44  qboosh
- added c++ patch (needed to use headers with g++ 4.2)
- release .2

Revision 1.18  2007/05/27 18:31:56  qboosh
- removed obsolete link patch

Revision 1.17  2007/02/12 21:21:30  glen
- tabs in preamle

Revision 1.16  2007/02/12 00:48:33  baggins
- converted to UTF-8

Revision 1.15  2007/01/31 13:37:15  ankry
- updated to rc2; builds on Ac, not tested

Revision 1.14  2006/07/18 07:46:27  jackass
- new version 1.6.8-RC1

Revision 1.13  2006/05/01 11:54:56  zbyniu
- Group: Documentation for -doc

Revision 1.12  2006/04/16 20:49:52  qboosh
- added link patch to avoid *.la/-L poisoning
- require allegro >= 4.1.16 to avoid undefined _mangled_main_address

Revision 1.11  2006/04/15 13:48:00  blekot
- more %files
- rel 0.2

Revision 1.10  2004/12/11 18:20:58  qboosh
- cleanup, strict internal dep

Revision 1.9  2004/12/11 15:56:14  adamg
- call ldconfig in post/postun

Revision 1.8  2004/12/11 15:03:08  adamg
- updated to 1.6.7
- docs updated to 1.6.5
- commented out libtoolize/ac* calls in %%build - there is something
  broken - see ToDo

Revision 1.7  2004/08/09 21:39:37  averne
- refresh config.sub
- rel 2

Revision 1.6  2003/12/18 23:25:21  undefine
- update to 1.6.6, BR: unzip

Revision 1.5  2003/07/08 09:22:26  ankry
- switch to versioned docs: they seem to be newer

Revision 1.4  2003/07/06 23:27:13  blues
- many small fixes, mostly inpired by kloczek

Revision 1.3  2003/05/26 16:24:18  malekith
- massive attack: adding Source-md5

Revision 1.2  2003/05/25 05:45:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.1  2003/04/21 11:26:42  wolf
- new
